Name:		pion-net
Version:	4.0.7
Release:	2%{?dist}
Summary:	C++ library for building lightweight HTTP interfaces

License:	Boost
URL:		http://www.pion.org/projects/pion-network-library
Source0:	http://www.pion.org/files/pion-net-4.0.7.tar.gz

BuildRequires:	boost-devel >= 1.35.0, libicu-devel, bzip2-devel, zlib-devel, openssl-devel, log4cpp-devel, doxygen

Patch0:		pion-net-asio-compatibility.patch

%description
Pion Network Library is a C++ framework for building lightweight HTTP
interfaces.

%package	devel
Summary:	Development files for pion-net
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the pkgconfig, header files, and libraries needed to
develop application that use pion-net.

%package	doc
Summary:	Documentation for pion-net
BuildArch:	noarch

%description doc
This package contains Doxygen HTML documentation for pion-net library.


%prep
%setup -q
%patch0 -p1


%build
%configure \
	--with-plugins=%{_libdir}/pion/plugins \
	--with-boost-extension=-mt \
	--with-pie \
	--disable-static \
	--with-bzlib \
	--with-zlib \
	--with-openssl \
	--with-log4cpp \

make %{?_smp_mflags}

# regenerate upstream documentation
make doxygen-clean
make doxygen-run


%install
make install DESTDIR=%{buildroot}

# delete example apps
rm -f %{buildroot}%{_bindir}/PionHelloServer
rm -f %{buildroot}%{_bindir}/PionWebServer

# delete libtool archives
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/pion/plugins/*.la

# install documentation
install -d -m 0755 %{buildroot}%{_docdir}/pion-net-%{version}
cp -arv net/doc/html %{buildroot}%{_docdir}/pion-net-%{version}


%check
make check


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc AUTHORS COPYING NEWS TODO
%dir %{_libdir}/pion
%dir %{_libdir}/pion/plugins
%{_libdir}/libpion-*.so
%{_libdir}/pion/plugins/*.so


%files devel
%{_includedir}/pion/
%{_libdir}/pkgconfig/pion-net.pc


%files doc
%{_docdir}/pion-net-%{version}/


%changelog
* Tue Nov 22 2011 Jan Vcelak <jvcelak@redhat.com> 4.0.7-2
- change Summary to be more eglible
- do not explicitly clean buildroot before installation
- include orphaned directories
- fix -devel package requirements
- fix -doc package requirements

* Tue Nov 15 2011 Jan Vcelak <jvcelak@redhat.com> 4.0.7-1
- initial package for Fedora
